Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FTPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.enterprisedt.net.ftp.FTPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FTPConnectionClosedException, FTPTransferCancelledException, MalformedReplyException

    public class FTPException

extends java.lang.Exception

FTP specific exceptions

Version:
  $Revision: 1.9 $
Author:
  Bruce Blackshaw
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `cvsId` Revision control id

Constructor Summary
`FTPException(FTPReply reply)` Constructor.
`FTPException(java.lang.String msg)` Constructor.
`FTPException(java.lang.String msg, java.lang.String replyCode)` Constructor.

Method Summary
`int` | `getReplyCode()` Get the reply code if it exists
`java.lang.String` | `toString()` Returns a short description of this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cvsId

    public static final java.lang.String cvsId

  Revision control id

  See Also:
    Constant Field Values

Constructor Detail

### FTPException

    public FTPException(java.lang.String msg)

  Constructor. Delegates to super.

  Parameters:
    `msg` - Message that the user will be able to retrieve

### FTPException

    public FTPException(java.lang.String msg,
                        java.lang.String replyCode)

  Constructor. Permits setting of reply code

  Parameters:
    `msg` - message that the user will be able to retrieve
    `replyCode` - string form of reply code

### FTPException

    public FTPException(FTPReply reply)

  Constructor. Permits setting of reply code

  Parameters:
    `reply` - reply object

Method Detail

### getReplyCode

    public int getReplyCode()

  Get the reply code if it exists

  Returns:
    reply if it exists, -1 otherwise

### toString

    public java.lang.String toString()

  Returns a short description of this exception

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string representation of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.